Send order
This endpoint allows sending a limit, stop, take profit or immediate-or-cancel order for a currently listed Futures contract.
Authorizations
General API key with full access
Authentication string
Query Parameters
The time before which the request should be processed, otherwise it is rejected.
The order type:
-
lmt- a limit order -
post- a post-only limit order -
mkt- an immediate-or-cancel order with 1% price protection -
stp- a stop order -
take_profit- a take profit order -
ioc- an immediate-or-cancel order -
trailing_stop- a trailing stop order -
fok- fill or kill order The order type: -
lmt- a limit order -
post- a post-only limit order -
mkt- an immediate-or-cancel order with 1% price protection -
stp- a stop order -
take_profit- a take profit order -
ioc- an immediate-or-cancel order -
trailing_stop- a trailing stop order -
fok- fill-or-kill order
unknown is returned when the source value couldn't be decoded; this will be replaced with a real value as soon as possible.
lmt, post, ioc, mkt, stp, take_profit, trailing_stop, fok, unknown The symbol of the Futures
The direction of the order. The direction of the order.
unknown is returned when the source value couldn't be decoded; this will be replaced with a real value as soon as possible.
buy, sell, unknown The size associated with the order. Note that different Futures have different contract sizes.
The limit price associated with the order. Note that for stop orders, limitPrice denotes the worst price at
which the stp or take_profit order can get filled at. If no limitPrice is
provided the stp or take_profit order will trigger a market order. If placing a trailing_stop order then leave undefined.
The stop price associated with a stop or take profit order.
Required if orderType is stp or take_profit, but if placing a trailing_stop then
leave undefined. Note that for stop orders, limitPrice denotes the worst price at
which the stp or take_profit order can get filled at. If no limitPrice is
provided the stp or take_profit order will trigger a market order.
The order identity that is specified from the user. It must be globally unique.
100If placing a stp, take_profit or trailing_stop, the signal used for trigger.
mark- the mark priceindex- the index pricelast- the last executed trade
mark, index, last Set as true if you wish the order to only reduce an existing position.
Any order which increases an existing position will be rejected. Default false.
Required if the order type is trailing_stop. Maximum value of 50%, minimum value of 0.1% for 'PERCENT' 'maxDeviationUnit'.
Is the maximum distance the trailing stop's trigger price may trail behind the requested trigger signal. It defines the threshold at which the trigger price updates.
0.1 <= x <= 50Required if the order type is trailing_stop.
This defines how the trailing trigger price is calculated from the requested trigger signal. For example, if the max deviation is set to 10, the unit is 'PERCENT', and the underlying order is a sell, then the trigger price will never be more then 10% below the trigger signal. Similarly, if the deviation is 100, the unit is 'QUOTE_CURRENCY', the underlying order is a sell, and the contract is quoted in USD, then the trigger price will never be more than $100 below the trigger signal.
unknown is returned when the source value couldn't be decoded; this will be replaced with a real value as soon as possible.
PERCENT, QUOTE_CURRENCY, unknown Can only be set for triggers, e.g. order types take_profit, stop and trailing_stop.
If set, limitPriceOffsetUnit must be set as well.
This defines a relative limit price depending on the trigger stopPrice. The price is determined
when the trigger is activated by the triggerSignal. The offset can be positive or negative, there
might be restrictions on the value depending on the limitPriceOffsetUnit.
Can only be set together with limitPriceOffsetValue.
This defines the unit for the relative limit price distance from the trigger's stopPrice.
QUOTE_CURRENCY, PERCENT Valid Broker identifier on whose behalf the order is sent.
Note: This is currently available exclusively in the Kraken pre-prod environments.
100